For the complete documentation index, see llms.txt. This page is also available as Markdown.

Transactions

Fetch transactions

get

The transactions endpoint returns all transactions, per published entity date. If a transaction falls on a date which has no positions, it will be be available once a position on that date or a subsequent date is published

Authorizations
Path parameters
entityIdinteger · int64Required

Unique identifier provided by Landytech

Example: 123
Query parameters
fieldsstring[]Optional

List of field names to retrieve. If empty, all fields will be returned.

Example: ENTITY.ID
fromDatestring · dateOptional

Start of transaction date range (inclusive)

Example: 2024-01-01
toDatestring · dateOptional

End of transaction date range (inclusive)

Example: 2024-12-31
consolidationTypestringOptional

DIRECT returns the entity's directly held assets. LOOK_THROUGH includes transactions of underlying entities linked through configured look-through relationships. If not provided, DIRECT is used

Example: LOOK_THROUGH
fromUpdatedDatestringOptional

Return only records that have been updated on or after the specified date time

Example: 2025-10-01T00:00:00Z
requestPageSizeinteger · int32 · max: 10000Optional

Number of records per page

Default: 1000
pageTokenstringOptional

Token used for pagination. For the first page, this should not be provided. For subsequent pages, use the nextPageToken value returned in the previous response

Responses
200

List of transactions with selected fields

application/json

Transaction data returned by the API

get/api/v2/transactions/{entityId}
GET /api/v2/transactions/{entityId} HTTP/1.1
Host: data.api.landytech.net
Accept: */*
{
  "data": {
    "ENTITY.ID": 10338,
    "ENTITY.NAME": "Barclays *899",
    "ASSET.NAME": "Hurricane Energy PLC",
    "ASSET.ID": 1990,
    "ASSET.TYPE": "Common Stock",
    "TRANSACTION.SUBTYPE": "Purchase",
    "TRANSACTION.CUSTODIAN_TRANSACTION_ID": "1ab7d9fc-427f-42bf-97a8-1a8ff531efe4",
    "TRANSACTION.DESCRIPTION": "Purchase 9000 Hurricane Energy PLC 20251111",
    "TRANSACTION.DATE": "2025-11-11",
    "TRANSACTION.SETTLEMENT_DATE": "2025-11-13",
    "TRANSACTION.MOVEMENT_LOCAL": -350000,
    "TRANSACTION.GROSS_MOVEMENT_LOCAL": -346500,
    "TRANSACTION.QUANTITY": 9000,
    "TRANSACTION.NET_UNIT_PRICE_LOCAL": 38.888889,
    "TRANSACTION.GROSS_UNIT_PRICE_LOCAL": 38.5,
    "TRANSACTION.LOCAL_CURRENCY": "GBP",
    "TRANSACTION.LOCAL_CURRENCY2": "CAD",
    "TRANSACTION.MOVEMENT_REPORTING": -291666.6667,
    "TRANSACTION.GROSS_MOVEMENT_REPORTING": -288750,
    "TRANSACTION.SUB_PORTFOLIO_CODE": "807899-1-A",
    "TRANSACTION.SUB_PORTFOLIO_CODE2": "807899-1-B",
    "TRANSACTION.CAPITAL_OR_INCOME": "CAPITAL",
    "TRANSACTION.GRANULARITY": {
      "COMMISSIONS_LOCAL": -1500,
      "STAMP_DUTY_LOCAL": -1000,
      "WITHHOLDING_TAX_LOCAL": -300,
      "COLLECTION_CHARGE_LOCAL": -200,
      "TAX_LOCAL": -500,
      "ACCRUED_INTEREST_LOCAL": 0
    },
    "TRANSACTION.PRIVATE_FUND_GRANULARITY": {
      "PE_DEDUCTIBLE": -90000,
      "PE_NON_DEDUCTIBLE": -10000,
      "PE_INVESTMENT": -90000,
      "PE_MANAGEMENT_FEES": -2000,
      "PE_FUND_EXPENSES": -3000,
      "PE_OTHER_FEES": -5000,
      "PE_EQUALISATION": 0,
      "PE_RECALLABLE": 10000,
      "PE_NON_RECALLABLE": 95000,
      "PE_CAPITAL_RETURN": 10000,
      "PE_CAPITAL_GAIN": 90000,
      "PE_INCOME": 5000
    },
    "TRANSACTION.REVERSAL": 0,
    "TRANSACTION.CUSTODIAN_REVERSED_TRANSACTION_ID": "abcdef12-3456-7890-abcd-ef1234567890",
    "TRANSACTION.UPDATED_DATE": "2025-10-01T00:00:00Z"
  },
  "pagination": {
    "nextPageToken": null,
    "hasNextPage": 0,
    "pageSize": 1000
  },
  "meta": {
    "requestId": "07f7230a-ad15-4cb6-8592-31ed9b1e880d",
    "responseType": "json"
  }
}

Last updated

Was this helpful?